Activity log for bug #1792932

Date Who What changed Old value New value Message
2018-09-17 12:54:22 Jean-Baptiste Lallement bug added bug
2018-09-17 12:54:33 Jean-Baptiste Lallement information type Private Public
2018-09-17 13:10:30 Apport retracing service tags amd64 apport-crash cosmic need-amd64-retrace regression reproducible ubuntu amd64 apport-crash cosmic regression reproducible ubuntu
2018-09-17 13:22:19 Launchpad Janitor xorg-server (Ubuntu): status New Confirmed
2018-09-17 13:35:22 Jean-Baptiste Lallement tags amd64 apport-crash cosmic regression reproducible ubuntu amd64 apport-crash cosmic regression reproducible rms-cc-incoming ubuntu
2018-09-17 13:35:30 Jean-Baptiste Lallement tags amd64 apport-crash cosmic regression reproducible rms-cc-incoming ubuntu amd64 apport-crash cosmic regression reproducible rls-cc-incoming ubuntu
2018-09-18 14:31:30 Timo Aaltonen xorg-server (Ubuntu): status Confirmed Incomplete
2018-09-21 12:12:51 Daniel van Vugt marked as duplicate 1432137
2018-09-26 14:00:28 Jean-Baptiste Lallement summary Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. Cosmic Desktop fails to boot in vbox: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed.
2018-09-26 14:00:34 Jean-Baptiste Lallement removed duplicate marker 1432137
2018-09-26 14:01:29 Jean-Baptiste Lallement description Test Case: Boot Ubuntu Cosmic Desktop 20180916 on Virtual Box Actual Result Black screen or dropped to the login screen if the user skips ubiquity-dm ProblemType: Crash DistroRelease: Ubuntu 18.10 Package: xserver-xorg-core 2:1.20.1-1ubuntu2 ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5 Uname: Linux 4.18.0-7-generic x86_64 ApportVersion: 2.20.10-0ubuntu9 Architecture: amd64 AssertionMessage: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. CasperVersion: 1.395 CompositorRunning: None Date: Mon Sep 17 12:42:24 2018 DistUpgraded: Fresh install DistroCodename: cosmic DistroVariant: ubuntu ExecutablePath: /usr/lib/xorg/Xorg ExtraDebuggingInterest: Yes GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller]) LiveMediaBuild: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180916) Lsusb: Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: innotek GmbH VirtualBox ProcCmdline: /usr/lib/xorg/Xorg vt1 -displayfd 3 -auth /run/user/999/gdm/Xauthority -background none -noreset -keeptty -verbose 3 ProcEnviron: ProcKernelCmdLine: file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd --- keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=oss Signal: 6 SourcePackage: xorg-server StacktraceTop: __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50 __GI_abort () at abort.c:79 __assert_fail_base (fmt=0x7f60fa1e3858 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=<optimized out>) at assert.c:92 __GI___assert_fail (assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=0x563dbf96dde0 "dixRegisterPrivateKey") at assert.c:101 dixRegisterPrivateKey () Title: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.board.name: VirtualBox dmi.board.vendor: Oracle Corporation dmi.board.version: 1.2 dmi.chassis.type: 1 dmi.chassis.vendor: Oracle Corporation dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr: dmi.product.family: Virtual Machine dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.94-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.5-1ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.5-1ubuntu1 version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-1ubuntu2 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1build1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1build1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 Test Case: Boot Ubuntu Cosmic Desktop 20180916 on Virtual Box Actual Result Black screen or dropped to the login screen if the user skips ubiquity-dm Workaround: Add nomodeset on the kernel command line or from the boot menu, press F6 then select nomodeset Possibly a duplicate of bug 1432137 ProblemType: Crash DistroRelease: Ubuntu 18.10 Package: xserver-xorg-core 2:1.20.1-1ubuntu2 ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5 Uname: Linux 4.18.0-7-generic x86_64 ApportVersion: 2.20.10-0ubuntu9 Architecture: amd64 AssertionMessage: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. CasperVersion: 1.395 CompositorRunning: None Date: Mon Sep 17 12:42:24 2018 DistUpgraded: Fresh install DistroCodename: cosmic DistroVariant: ubuntu ExecutablePath: /usr/lib/xorg/Xorg ExtraDebuggingInterest: Yes GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller]) LiveMediaBuild: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180916) Lsusb:  Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: innotek GmbH VirtualBox ProcCmdline: /usr/lib/xorg/Xorg vt1 -displayfd 3 -auth /run/user/999/gdm/Xauthority -background none -noreset -keeptty -verbose 3 ProcEnviron: ProcKernelCmdLine: file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd --- keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=oss Signal: 6 SourcePackage: xorg-server StacktraceTop:  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50  __GI_abort () at abort.c:79  __assert_fail_base (fmt=0x7f60fa1e3858 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=<optimized out>) at assert.c:92  __GI___assert_fail (assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=0x563dbf96dde0 "dixRegisterPrivateKey") at assert.c:101  dixRegisterPrivateKey () Title: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.board.name: VirtualBox dmi.board.vendor: Oracle Corporation dmi.board.version: 1.2 dmi.chassis.type: 1 dmi.chassis.vendor: Oracle Corporation dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr: dmi.product.family: Virtual Machine dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.94-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.5-1ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.5-1ubuntu1 version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-1ubuntu2 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1build1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1build1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2018-09-26 14:01:34 Jean-Baptiste Lallement xorg-server (Ubuntu): importance Undecided High
2018-09-26 14:01:56 Jean-Baptiste Lallement xorg-server (Ubuntu): assignee Timo Aaltonen (tjaalton)
2018-09-26 14:02:12 Jean-Baptiste Lallement nominated for series Ubuntu Cosmic
2018-09-26 14:02:12 Jean-Baptiste Lallement bug task added xorg-server (Ubuntu Cosmic)
2018-09-26 14:02:31 Jean-Baptiste Lallement tags amd64 apport-crash cosmic regression reproducible rls-cc-incoming ubuntu amd64 apport-crash cosmic regression reproducible rls-cc-tracking ubuntu
2018-09-26 14:49:53 Jean-Baptiste Lallement xorg-server (Ubuntu Cosmic): status Incomplete Triaged
2018-09-26 15:07:40 Ubuntu QA Website tags amd64 apport-crash cosmic regression reproducible rls-cc-tracking ubuntu amd64 apport-crash cosmic iso-testing regression reproducible rls-cc-tracking ubuntu
2018-09-27 13:30:19 Will Cooke bug added subscriber Will Cooke
2018-09-27 15:19:02 Iain Lane bug added subscriber Iain Lane
2018-09-27 18:31:06 Timo Aaltonen bug watch added https://bugs.freedesktop.org/show_bug.cgi?id=97313
2018-09-27 18:31:06 Timo Aaltonen bug task added xorg-server
2018-09-28 11:12:21 mazurkin bug added subscriber mazurkin
2018-10-01 02:42:26 Daniel van Vugt summary Cosmic Desktop fails to boot in vbox: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed.
2018-10-01 02:44:52 Daniel van Vugt description Test Case: Boot Ubuntu Cosmic Desktop 20180916 on Virtual Box Actual Result Black screen or dropped to the login screen if the user skips ubiquity-dm Workaround: Add nomodeset on the kernel command line or from the boot menu, press F6 then select nomodeset Possibly a duplicate of bug 1432137 ProblemType: Crash DistroRelease: Ubuntu 18.10 Package: xserver-xorg-core 2:1.20.1-1ubuntu2 ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5 Uname: Linux 4.18.0-7-generic x86_64 ApportVersion: 2.20.10-0ubuntu9 Architecture: amd64 AssertionMessage: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. CasperVersion: 1.395 CompositorRunning: None Date: Mon Sep 17 12:42:24 2018 DistUpgraded: Fresh install DistroCodename: cosmic DistroVariant: ubuntu ExecutablePath: /usr/lib/xorg/Xorg ExtraDebuggingInterest: Yes GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller]) LiveMediaBuild: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180916) Lsusb:  Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: innotek GmbH VirtualBox ProcCmdline: /usr/lib/xorg/Xorg vt1 -displayfd 3 -auth /run/user/999/gdm/Xauthority -background none -noreset -keeptty -verbose 3 ProcEnviron: ProcKernelCmdLine: file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd --- keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=oss Signal: 6 SourcePackage: xorg-server StacktraceTop:  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50  __GI_abort () at abort.c:79  __assert_fail_base (fmt=0x7f60fa1e3858 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=<optimized out>) at assert.c:92  __GI___assert_fail (assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=0x563dbf96dde0 "dixRegisterPrivateKey") at assert.c:101  dixRegisterPrivateKey () Title: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.board.name: VirtualBox dmi.board.vendor: Oracle Corporation dmi.board.version: 1.2 dmi.chassis.type: 1 dmi.chassis.vendor: Oracle Corporation dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr: dmi.product.family: Virtual Machine dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.94-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.5-1ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.5-1ubuntu1 version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-1ubuntu2 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1build1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1build1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 https://errors.ubuntu.com/problem/4ffab1fb339140b2c39fa0d096293706399e7280 https://errors.ubuntu.com/problem/d18c1a21ca8ed1bb6cca06ddb5350187bed44f80 --- Test Case: Boot Ubuntu Cosmic Desktop 20180916 on Virtual Box Actual Result Black screen or dropped to the login screen if the user skips ubiquity-dm Workaround: Add nomodeset on the kernel command line or from the boot menu, press F6 then select nomodeset Possibly a duplicate of bug 1432137 ProblemType: Crash DistroRelease: Ubuntu 18.10 Package: xserver-xorg-core 2:1.20.1-1ubuntu2 ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5 Uname: Linux 4.18.0-7-generic x86_64 ApportVersion: 2.20.10-0ubuntu9 Architecture: amd64 AssertionMessage: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. CasperVersion: 1.395 CompositorRunning: None Date: Mon Sep 17 12:42:24 2018 DistUpgraded: Fresh install DistroCodename: cosmic DistroVariant: ubuntu ExecutablePath: /usr/lib/xorg/Xorg ExtraDebuggingInterest: Yes GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller]) LiveMediaBuild: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180916) Lsusb:  Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: innotek GmbH VirtualBox ProcCmdline: /usr/lib/xorg/Xorg vt1 -displayfd 3 -auth /run/user/999/gdm/Xauthority -background none -noreset -keeptty -verbose 3 ProcEnviron: ProcKernelCmdLine: file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd --- keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=oss Signal: 6 SourcePackage: xorg-server StacktraceTop:  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50  __GI_abort () at abort.c:79  __assert_fail_base (fmt=0x7f60fa1e3858 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=<optimized out>) at assert.c:92  __GI___assert_fail (assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=0x563dbf96dde0 "dixRegisterPrivateKey") at assert.c:101  dixRegisterPrivateKey () Title: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.board.name: VirtualBox dmi.board.vendor: Oracle Corporation dmi.board.version: 1.2 dmi.chassis.type: 1 dmi.chassis.vendor: Oracle Corporation dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr: dmi.product.family: Virtual Machine dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.94-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.5-1ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.5-1ubuntu1 version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-1ubuntu2 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1build1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1build1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2018-10-01 04:07:45 Ikuya Awashiro bug added subscriber Ikuya Awashiro
2018-10-01 05:38:05 Daniel van Vugt tags amd64 apport-crash cosmic iso-testing regression reproducible rls-cc-tracking ubuntu amd64 apport-crash bionic cosmic iso-testing regression reproducible rls-cc-tracking ubuntu xenial
2018-10-01 05:38:48 Daniel van Vugt description https://errors.ubuntu.com/problem/4ffab1fb339140b2c39fa0d096293706399e7280 https://errors.ubuntu.com/problem/d18c1a21ca8ed1bb6cca06ddb5350187bed44f80 --- Test Case: Boot Ubuntu Cosmic Desktop 20180916 on Virtual Box Actual Result Black screen or dropped to the login screen if the user skips ubiquity-dm Workaround: Add nomodeset on the kernel command line or from the boot menu, press F6 then select nomodeset Possibly a duplicate of bug 1432137 ProblemType: Crash DistroRelease: Ubuntu 18.10 Package: xserver-xorg-core 2:1.20.1-1ubuntu2 ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5 Uname: Linux 4.18.0-7-generic x86_64 ApportVersion: 2.20.10-0ubuntu9 Architecture: amd64 AssertionMessage: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. CasperVersion: 1.395 CompositorRunning: None Date: Mon Sep 17 12:42:24 2018 DistUpgraded: Fresh install DistroCodename: cosmic DistroVariant: ubuntu ExecutablePath: /usr/lib/xorg/Xorg ExtraDebuggingInterest: Yes GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller]) LiveMediaBuild: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180916) Lsusb:  Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: innotek GmbH VirtualBox ProcCmdline: /usr/lib/xorg/Xorg vt1 -displayfd 3 -auth /run/user/999/gdm/Xauthority -background none -noreset -keeptty -verbose 3 ProcEnviron: ProcKernelCmdLine: file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd --- keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=oss Signal: 6 SourcePackage: xorg-server StacktraceTop:  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50  __GI_abort () at abort.c:79  __assert_fail_base (fmt=0x7f60fa1e3858 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=<optimized out>) at assert.c:92  __GI___assert_fail (assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=0x563dbf96dde0 "dixRegisterPrivateKey") at assert.c:101  dixRegisterPrivateKey () Title: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.board.name: VirtualBox dmi.board.vendor: Oracle Corporation dmi.board.version: 1.2 dmi.chassis.type: 1 dmi.chassis.vendor: Oracle Corporation dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr: dmi.product.family: Virtual Machine dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.94-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.5-1ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.5-1ubuntu1 version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-1ubuntu2 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1build1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1build1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 bionic+: https://errors.ubuntu.com/problem/4ffab1fb339140b2c39fa0d096293706399e7280 xenial: https://errors.ubuntu.com/problem/d18c1a21ca8ed1bb6cca06ddb5350187bed44f80 --- Test Case: Boot Ubuntu Cosmic Desktop 20180916 on Virtual Box Actual Result Black screen or dropped to the login screen if the user skips ubiquity-dm Workaround: Add nomodeset on the kernel command line or from the boot menu, press F6 then select nomodeset Possibly a duplicate of bug 1432137 ProblemType: Crash DistroRelease: Ubuntu 18.10 Package: xserver-xorg-core 2:1.20.1-1ubuntu2 ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5 Uname: Linux 4.18.0-7-generic x86_64 ApportVersion: 2.20.10-0ubuntu9 Architecture: amd64 AssertionMessage: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. CasperVersion: 1.395 CompositorRunning: None Date: Mon Sep 17 12:42:24 2018 DistUpgraded: Fresh install DistroCodename: cosmic DistroVariant: ubuntu ExecutablePath: /usr/lib/xorg/Xorg ExtraDebuggingInterest: Yes GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller]) LiveMediaBuild: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180916) Lsusb:  Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: innotek GmbH VirtualBox ProcCmdline: /usr/lib/xorg/Xorg vt1 -displayfd 3 -auth /run/user/999/gdm/Xauthority -background none -noreset -keeptty -verbose 3 ProcEnviron: ProcKernelCmdLine: file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd --- keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=oss Signal: 6 SourcePackage: xorg-server StacktraceTop:  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50  __GI_abort () at abort.c:79  __assert_fail_base (fmt=0x7f60fa1e3858 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=<optimized out>) at assert.c:92  __GI___assert_fail (assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=0x563dbf96dde0 "dixRegisterPrivateKey") at assert.c:101  dixRegisterPrivateKey () Title: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.board.name: VirtualBox dmi.board.vendor: Oracle Corporation dmi.board.version: 1.2 dmi.chassis.type: 1 dmi.chassis.vendor: Oracle Corporation dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr: dmi.product.family: Virtual Machine dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.94-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.5-1ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.5-1ubuntu1 version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-1ubuntu2 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1build1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1build1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2018-10-01 05:39:10 Daniel van Vugt description bionic+: https://errors.ubuntu.com/problem/4ffab1fb339140b2c39fa0d096293706399e7280 xenial: https://errors.ubuntu.com/problem/d18c1a21ca8ed1bb6cca06ddb5350187bed44f80 --- Test Case: Boot Ubuntu Cosmic Desktop 20180916 on Virtual Box Actual Result Black screen or dropped to the login screen if the user skips ubiquity-dm Workaround: Add nomodeset on the kernel command line or from the boot menu, press F6 then select nomodeset Possibly a duplicate of bug 1432137 ProblemType: Crash DistroRelease: Ubuntu 18.10 Package: xserver-xorg-core 2:1.20.1-1ubuntu2 ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5 Uname: Linux 4.18.0-7-generic x86_64 ApportVersion: 2.20.10-0ubuntu9 Architecture: amd64 AssertionMessage: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. CasperVersion: 1.395 CompositorRunning: None Date: Mon Sep 17 12:42:24 2018 DistUpgraded: Fresh install DistroCodename: cosmic DistroVariant: ubuntu ExecutablePath: /usr/lib/xorg/Xorg ExtraDebuggingInterest: Yes GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller]) LiveMediaBuild: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180916) Lsusb:  Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: innotek GmbH VirtualBox ProcCmdline: /usr/lib/xorg/Xorg vt1 -displayfd 3 -auth /run/user/999/gdm/Xauthority -background none -noreset -keeptty -verbose 3 ProcEnviron: ProcKernelCmdLine: file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd --- keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=oss Signal: 6 SourcePackage: xorg-server StacktraceTop:  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50  __GI_abort () at abort.c:79  __assert_fail_base (fmt=0x7f60fa1e3858 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=<optimized out>) at assert.c:92  __GI___assert_fail (assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=0x563dbf96dde0 "dixRegisterPrivateKey") at assert.c:101  dixRegisterPrivateKey () Title: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.board.name: VirtualBox dmi.board.vendor: Oracle Corporation dmi.board.version: 1.2 dmi.chassis.type: 1 dmi.chassis.vendor: Oracle Corporation dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr: dmi.product.family: Virtual Machine dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.94-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.5-1ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.5-1ubuntu1 version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-1ubuntu2 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1build1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1build1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3 https://errors.ubuntu.com/problem/4ffab1fb339140b2c39fa0d096293706399e7280 https://errors.ubuntu.com/problem/d18c1a21ca8ed1bb6cca06ddb5350187bed44f80 --- Test Case: Boot Ubuntu Cosmic Desktop 20180916 on Virtual Box Actual Result Black screen or dropped to the login screen if the user skips ubiquity-dm Workaround: Add nomodeset on the kernel command line or from the boot menu, press F6 then select nomodeset Possibly a duplicate of bug 1432137 ProblemType: Crash DistroRelease: Ubuntu 18.10 Package: xserver-xorg-core 2:1.20.1-1ubuntu2 ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5 Uname: Linux 4.18.0-7-generic x86_64 ApportVersion: 2.20.10-0ubuntu9 Architecture: amd64 AssertionMessage: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. CasperVersion: 1.395 CompositorRunning: None Date: Mon Sep 17 12:42:24 2018 DistUpgraded: Fresh install DistroCodename: cosmic DistroVariant: ubuntu ExecutablePath: /usr/lib/xorg/Xorg ExtraDebuggingInterest: Yes GraphicsCard: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller]) LiveMediaBuild: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180916) Lsusb:  Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub MachineType: innotek GmbH VirtualBox ProcCmdline: /usr/lib/xorg/Xorg vt1 -displayfd 3 -auth /run/user/999/gdm/Xauthority -background none -noreset -keeptty -verbose 3 ProcEnviron: ProcKernelCmdLine: file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd --- keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=oss Signal: 6 SourcePackage: xorg-server StacktraceTop:  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50  __GI_abort () at abort.c:79  __assert_fail_base (fmt=0x7f60fa1e3858 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=<optimized out>) at assert.c:92  __GI___assert_fail (assertion=0x563dbf96db7d "!global_keys[type].created", file=0x563dbf96db38 "../../../../dix/privates.c", line=384, function=0x563dbf96dde0 "dixRegisterPrivateKey") at assert.c:101  dixRegisterPrivateKey () Title: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo dmi.bios.date: 12/01/2006 dmi.bios.vendor: innotek GmbH dmi.bios.version: VirtualBox dmi.board.name: VirtualBox dmi.board.vendor: Oracle Corporation dmi.board.version: 1.2 dmi.chassis.type: 1 dmi.chassis.vendor: Oracle Corporation dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr: dmi.product.family: Virtual Machine dmi.product.name: VirtualBox dmi.product.version: 1.2 dmi.sys.vendor: innotek GmbH version.compiz: compiz N/A version.libdrm2: libdrm2 2.4.94-1 version.libgl1-mesa-dri: libgl1-mesa-dri 18.1.5-1ubuntu1 version.libgl1-mesa-glx: libgl1-mesa-glx 18.1.5-1ubuntu1 version.xserver-xorg-core: xserver-xorg-core 2:1.20.1-1ubuntu2 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1build1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1build1 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-3
2018-10-01 05:52:43 Jean-Baptiste Lallement summary Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed. Cosmic Desktop fails to boot in vbox: Xorg assert failure: Xorg: ../../../../dix/privates.c:384: dixRegisterPrivateKey: Assertion `!global_keys[type].created' failed.
2018-10-01 06:57:38 Chen-Han Hsiao (Stanley) bug added subscriber Chen-Han Hsiao (Stanley)
2018-10-02 15:19:30 Gianfranco Costamagna bug added subscriber Gianfranco Costamagna
2018-10-03 09:33:09 Sebastien Bacher xorg-server (Ubuntu Cosmic): status Triaged Fix Committed
2018-10-03 10:29:17 Launchpad Janitor xorg-server (Ubuntu Cosmic): status Fix Committed Fix Released
2018-10-04 02:15:48 Daniel van Vugt nominated for series Ubuntu Bionic
2018-10-04 02:15:48 Daniel van Vugt nominated for series Ubuntu Xenial